package com.mudu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mudu.entity.ASafeQyjcxx;

import java.util.List;

/**
 * (ASafeQyjcxx)表服务接口
 *
 * @author wu
 * @since 2024-02-26 10:43:24
 */
public interface ASafeQyjcxxService extends IService<ASafeQyjcxx> {

    /**
     * 数据同步
     */
    void dataSynchronous();

    /**
     * 根据企业名称或信用代码查询数据
     *
     * @param qymc 企业名称
     * @param xybm 信用代码
     * @return 数据
     */
    ASafeQyjcxx findOneByqymcOrXybm(String qymc, String xybm);

    /**
     * 根据企业信用代码删除企业
     *
     * @param tyshxybmList 企业信用代码
     */
    void updateByTyshxybm(List<String> tyshxybmList);
}

